com.tibbo.aggregate.common.server

## Interface ServerContextConstants

-     public interface ServerContextConstants

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `A_EDIT_CUSTOM_PROPERTIES`
    `static java.lang.String` | `A_PERMS`
    `static java.lang.String` | `A_REPLICATE`
    `static java.lang.String` | `E_CONTEXT_STATUS_CHANGED`
    `static java.lang.String` | `E_EVALUATION`
    `static java.lang.String` | `E_EVALUATION_ERROR`
    `static java.lang.String` | `E_MEMBER_COUNT_CHANGED`
    `static java.lang.String` | `E_VISIBLE_CHILD_ADDED`
    `static java.lang.String` | `E_VISIBLE_CHILD_REMOVED`
    `static java.lang.String` | `E_VISIBLE_INFO_CHANGED`
    `static java.lang.String` | `EF_CONTEXT_STATUS_CHANGED_COMMENT`
    `static java.lang.String` | `EF_CONTEXT_STATUS_CHANGED_OLD_STATUS`
    `static java.lang.String` | `EF_CONTEXT_STATUS_CHANGED_STATUS`
    `static java.lang.String` | `EF_EVALUATION_DEFAULT_CONTEXT`
    `static java.lang.String` | `EF_EVALUATION_DEFAULT_ROW`
    `static java.lang.String` | `EF_EVALUATION_DEFAULT_TABLE`
    `static java.lang.String` | `EF_EVALUATION_DETAILS`
    `static java.lang.String` | `EF_EVALUATION_ERROR_DEFAULT_CONTEXT`
    `static java.lang.String` | `EF_EVALUATION_ERROR_DEFAULT_ROW`
    `static java.lang.String` | `EF_EVALUATION_ERROR_DEFAULT_TABLE`
    `static java.lang.String` | `EF_EVALUATION_ERROR_DETAILS`
    `static java.lang.String` | `EF_EVALUATION_ERROR_EXPRESSION`
    `static java.lang.String` | `EF_EVALUATION_ERROR_HOLDER`
    `static java.lang.String` | `EF_EVALUATION_ERROR_MESSAGE`
    `static java.lang.String` | `EF_EVALUATION_EXPRESSION`
    `static java.lang.String` | `EF_EVALUATION_HOLDER`
    `static java.lang.String` | `EF_EVALUATION_RESULT`
    `static java.lang.String` | `EF_VISIBLE_CHILD_ADDED_PATH`
    `static java.lang.String` | `EF_VISIBLE_CHILD_REMOVED_PATH`
    `static java.lang.String` | `F_FILTERED_VISIBLE_CHILDREN`
    `static java.lang.String` | `F_INIT_ACTION`
    `static java.lang.String` | `F_RAW_STATISTICS_SPECIFIC`
    `static java.lang.String` | `F_REORDER`
    `static java.lang.String` | `F_STEP_ACTION`
    `static java.lang.String` | `FIF_INIT_ACTION_ACTION_ID`
    `static java.lang.String` | `FIF_INIT_ACTION_ACTION_NAME`
    `static java.lang.String` | `FIF_INIT_ACTION_EXECUTION_MODE`
    `static java.lang.String` | `FIF_INIT_ACTION_INITIAL_PARAMETERS`
    `static java.lang.String` | `FIF_INIT_ACTION_INPUT_DATA`
    `static java.lang.String` | `FIF_RAW_STATISTICS_SPECIFIC_AGGREGATION`
    `static java.lang.String` | `FIF_RAW_STATISTICS_SPECIFIC_CHANNEL`
    `static java.lang.String` | `FIF_RAW_STATISTICS_SPECIFIC_CHANNEL_TYPE`
    `static java.lang.String` | `FIF_RAW_STATISTICS_SPECIFIC_FROM_DATE`
    `static java.lang.String` | `FIF_RAW_STATISTICS_SPECIFIC_GROUPING`
    `static java.lang.String` | `FIF_RAW_STATISTICS_SPECIFIC_KEY`
    `static java.lang.String` | `FIF_RAW_STATISTICS_SPECIFIC_TO_DATE`
    `static java.lang.String` | `FIF_REORDER_CHILD`
    `static java.lang.String` | `FIF_REORDER_INDEX`
    `static java.lang.String` | `FIF_STEP_ACTION_ACTION_ID`
    `static java.lang.String` | `FIF_STEP_ACTION_ACTION_RESPONSE`
    `static java.lang.String` | `FOF_INIT_ACTION_ACTION_ID`
    `static java.lang.String` | `FOF_RAW_STATISTICS_SPECIFIC_DATE`
    `static java.lang.String` | `FOF_RAW_STATISTICS_SPECIFIC_VALUE`
    `static java.lang.String` | `FOF_STEP_ACTION_ACTION_COMMAND`
    `static java.lang.String` | `V_ACTIVE_ALERTS`
    `static java.lang.String` | `V_APPLICATION_MEMBERSHIP`
    `static java.lang.String` | `V_CONTEXT_STATISTICS`
    `static java.lang.String` | `V_CONTEXT_STATUS`
    `static java.lang.String` | `V_GROUP_MEMBERSHIP`
    `static java.lang.String` | `V_PERMS`
    `static java.lang.String` | `V_VISIBLE_CHILDREN`
    `static java.lang.String` | `V_VISIBLE_INFO`
    `static java.lang.String` | `VF_ACTIVE_ALERTS_ACKNOWLEDGEMENTS`
    `static java.lang.String` | `VF_ACTIVE_ALERTS_ALERT`
    `static java.lang.String` | `VF_ACTIVE_ALERTS_CAUSE`
    `static java.lang.String` | `VF_ACTIVE_ALERTS_DATA`
    `static java.lang.String` | `VF_ACTIVE_ALERTS_ENRICHMENTS`
    `static java.lang.String` | `VF_ACTIVE_ALERTS_EVENT`
    `static java.lang.String` | `VF_ACTIVE_ALERTS_LEVEL`
    `static java.lang.String` | `VF_ACTIVE_ALERTS_LOCATION`
    `static java.lang.String` | `VF_ACTIVE_ALERTS_MESSAGE`
    `static java.lang.String` | `VF_ACTIVE_ALERTS_TIME`
    `static java.lang.String` | `VF_ACTIVE_ALERTS_TRIGGER`
    `static java.lang.String` | `VF_ACTIVE_ALERTS_TYPE`
    `static java.lang.String` | `VF_APPLICATION`
    `static java.lang.String` | `VF_CONTEXT_STATUS_COMMENT`
    `static java.lang.String` | `VF_CONTEXT_STATUS_STATUS`
    `static java.lang.String` | `VF_GROUP_MEMBERSHIP_GROUP`
    `static java.lang.String` | `VF_GROUP_MEMBERSHIP_LOCATION`
    `static java.lang.String` | `VF_PERMS_TYPE`
    `static java.lang.String` | `VF_PERMS_USER`
    `static java.lang.String` | `VF_VISIBLE_CHILDREN_PATH`
    `static java.lang.String` | `VF_VISIBLE_INFO_CHILDREN_REORDERABLE`
    `static java.lang.String` | `VF_VISIBLE_INFO_DYNAMIC`
    `static java.lang.String` | `VF_VISIBLE_INFO_EXPANDED`
    `static java.lang.String` | `VF_VISIBLE_INFO_MEMBER_COUNT`
    `static java.lang.String` | `VF_VISIBLE_INFO_OWNER`

- - ### Field Detail

    - #### V_VISIBLE_INFO

          static final java.lang.String V_VISIBLE_INFO

      See Also:
        Constant Field Values

    - #### V_VISIBLE_CHILDREN

          static final java.lang.String V_VISIBLE_CHILDREN

      See Also:
        Constant Field Values

    - #### V_CONTEXT_STATUS

          static final java.lang.String V_CONTEXT_STATUS

      See Also:
        Constant Field Values

    - #### V_CONTEXT_STATISTICS

          static final java.lang.String V_CONTEXT_STATISTICS

      See Also:
        Constant Field Values

    - #### V_PERMS

          static final java.lang.String V_PERMS

      See Also:
        Constant Field Values

    - #### V_ACTIVE_ALERTS

          static final java.lang.String V_ACTIVE_ALERTS

      See Also:
        Constant Field Values

    - #### V_GROUP_MEMBERSHIP

          static final java.lang.String V_GROUP_MEMBERSHIP

      See Also:
        Constant Field Values

    - #### V_APPLICATION_MEMBERSHIP

          static final java.lang.String V_APPLICATION_MEMBERSHIP

      See Also:
        Constant Field Values

    - #### F_REORDER

          static final java.lang.String F_REORDER

      See Also:
        Constant Field Values

    - #### F_INIT_ACTION

          static final java.lang.String F_INIT_ACTION

      See Also:
        Constant Field Values

    - #### F_STEP_ACTION

          static final java.lang.String F_STEP_ACTION

      See Also:
        Constant Field Values

    - #### F_RAW_STATISTICS_SPECIFIC

          static final java.lang.String F_RAW_STATISTICS_SPECIFIC

      See Also:
        Constant Field Values

    - #### F_FILTERED_VISIBLE_CHILDREN

          static final java.lang.String F_FILTERED_VISIBLE_CHILDREN

      See Also:
        Constant Field Values

    - #### E_VISIBLE_INFO_CHANGED

          static final java.lang.String E_VISIBLE_INFO_CHANGED

      See Also:
        Constant Field Values

    - #### E_VISIBLE_CHILD_REMOVED

          static final java.lang.String E_VISIBLE_CHILD_REMOVED

      See Also:
        Constant Field Values

    - #### E_VISIBLE_CHILD_ADDED

          static final java.lang.String E_VISIBLE_CHILD_ADDED

      See Also:
        Constant Field Values

    - #### E_CONTEXT_STATUS_CHANGED

          static final java.lang.String E_CONTEXT_STATUS_CHANGED

      See Also:
        Constant Field Values

    - #### E_MEMBER_COUNT_CHANGED

          static final java.lang.String E_MEMBER_COUNT_CHANGED

      See Also:
        Constant Field Values

    - #### E_EVALUATION

          static final java.lang.String E_EVALUATION

      See Also:
        Constant Field Values

    - #### E_EVALUATION_ERROR

          static final java.lang.String E_EVALUATION_ERROR

      See Also:
        Constant Field Values

    - #### A_PERMS

          static final java.lang.String A_PERMS

      See Also:
        Constant Field Values

    - #### A_EDIT_CUSTOM_PROPERTIES

          static final java.lang.String A_EDIT_CUSTOM_PROPERTIES

      See Also:
        Constant Field Values

    - #### A_REPLICATE

          static final java.lang.String A_REPLICATE

      See Also:
        Constant Field Values

    - #### VF_VISIBLE_INFO_DYNAMIC

          static final java.lang.String VF_VISIBLE_INFO_DYNAMIC

      See Also:
        Constant Field Values

    - #### VF_VISIBLE_INFO_CHILDREN_REORDERABLE

          static final java.lang.String VF_VISIBLE_INFO_CHILDREN_REORDERABLE

      See Also:
        Constant Field Values

    - #### VF_VISIBLE_INFO_EXPANDED

          static final java.lang.String VF_VISIBLE_INFO_EXPANDED

      See Also:
        Constant Field Values

    - #### VF_VISIBLE_INFO_OWNER

          static final java.lang.String VF_VISIBLE_INFO_OWNER

      See Also:
        Constant Field Values

    - #### VF_VISIBLE_INFO_MEMBER_COUNT

          static final java.lang.String VF_VISIBLE_INFO_MEMBER_COUNT

      See Also:
        Constant Field Values

    - #### VF_VISIBLE_CHILDREN_PATH

          static final java.lang.String VF_VISIBLE_CHILDREN_PATH

      See Also:
        Constant Field Values

    - #### VF_CONTEXT_STATUS_STATUS

          static final java.lang.String VF_CONTEXT_STATUS_STATUS

      See Also:
        Constant Field Values

    - #### VF_CONTEXT_STATUS_COMMENT

          static final java.lang.String VF_CONTEXT_STATUS_COMMENT

      See Also:
        Constant Field Values

    - #### VF_PERMS_TYPE

          static final java.lang.String VF_PERMS_TYPE

      See Also:
        Constant Field Values

    - #### VF_PERMS_USER

          static final java.lang.String VF_PERMS_USER

      See Also:
        Constant Field Values

    - #### VF_GROUP_MEMBERSHIP_GROUP

          static final java.lang.String VF_GROUP_MEMBERSHIP_GROUP

      See Also:
        Constant Field Values

    - #### VF_GROUP_MEMBERSHIP_LOCATION

          static final java.lang.String VF_GROUP_MEMBERSHIP_LOCATION

      See Also:
        Constant Field Values

    - #### VF_APPLICATION

          static final java.lang.String VF_APPLICATION

      See Also:
        Constant Field Values

    - #### VF_ACTIVE_ALERTS_LOCATION

          static final java.lang.String VF_ACTIVE_ALERTS_LOCATION

      See Also:
        Constant Field Values

    - #### VF_ACTIVE_ALERTS_EVENT

          static final java.lang.String VF_ACTIVE_ALERTS_EVENT

      See Also:
        Constant Field Values

    - #### VF_ACTIVE_ALERTS_ALERT

          static final java.lang.String VF_ACTIVE_ALERTS_ALERT

      See Also:
        Constant Field Values

    - #### VF_ACTIVE_ALERTS_TYPE

          static final java.lang.String VF_ACTIVE_ALERTS_TYPE

      See Also:
        Constant Field Values

    - #### VF_ACTIVE_ALERTS_TIME

          static final java.lang.String VF_ACTIVE_ALERTS_TIME

      See Also:
        Constant Field Values

    - #### VF_ACTIVE_ALERTS_LEVEL

          static final java.lang.String VF_ACTIVE_ALERTS_LEVEL

      See Also:
        Constant Field Values

    - #### VF_ACTIVE_ALERTS_CAUSE

          static final java.lang.String VF_ACTIVE_ALERTS_CAUSE

      See Also:
        Constant Field Values

    - #### VF_ACTIVE_ALERTS_MESSAGE

          static final java.lang.String VF_ACTIVE_ALERTS_MESSAGE

      See Also:
        Constant Field Values

    - #### VF_ACTIVE_ALERTS_TRIGGER

          static final java.lang.String VF_ACTIVE_ALERTS_TRIGGER

      See Also:
        Constant Field Values

    - #### VF_ACTIVE_ALERTS_DATA

          static final java.lang.String VF_ACTIVE_ALERTS_DATA

      See Also:
        Constant Field Values

    - #### VF_ACTIVE_ALERTS_ACKNOWLEDGEMENTS

          static final java.lang.String VF_ACTIVE_ALERTS_ACKNOWLEDGEMENTS

      See Also:
        Constant Field Values

    - #### VF_ACTIVE_ALERTS_ENRICHMENTS

          static final java.lang.String VF_ACTIVE_ALERTS_ENRICHMENTS

      See Also:
        Constant Field Values

    - #### FIF_INIT_ACTION_INPUT_DATA

          static final java.lang.String FIF_INIT_ACTION_INPUT_DATA

      See Also:
        Constant Field Values

    - #### FIF_INIT_ACTION_INITIAL_PARAMETERS

          static final java.lang.String FIF_INIT_ACTION_INITIAL_PARAMETERS

      See Also:
        Constant Field Values

    - #### FIF_INIT_ACTION_ACTION_NAME

          static final java.lang.String FIF_INIT_ACTION_ACTION_NAME

      See Also:
        Constant Field Values

    - #### FIF_INIT_ACTION_EXECUTION_MODE

          static final java.lang.String FIF_INIT_ACTION_EXECUTION_MODE

      See Also:
        Constant Field Values

    - #### FIF_INIT_ACTION_ACTION_ID

          static final java.lang.String FIF_INIT_ACTION_ACTION_ID

      See Also:
        Constant Field Values

    - #### FIF_STEP_ACTION_ACTION_RESPONSE

          static final java.lang.String FIF_STEP_ACTION_ACTION_RESPONSE

      See Also:
        Constant Field Values

    - #### FIF_STEP_ACTION_ACTION_ID

          static final java.lang.String FIF_STEP_ACTION_ACTION_ID

      See Also:
        Constant Field Values

    - #### FIF_REORDER_INDEX

          static final java.lang.String FIF_REORDER_INDEX

      See Also:
        Constant Field Values

    - #### FIF_REORDER_CHILD

          static final java.lang.String FIF_REORDER_CHILD

      See Also:
        Constant Field Values

    - #### FOF_INIT_ACTION_ACTION_ID

          static final java.lang.String FOF_INIT_ACTION_ACTION_ID

      See Also:
        Constant Field Values

    - #### FOF_STEP_ACTION_ACTION_COMMAND

          static final java.lang.String FOF_STEP_ACTION_ACTION_COMMAND

      See Also:
        Constant Field Values

    - #### FIF_RAW_STATISTICS_SPECIFIC_CHANNEL

          static final java.lang.String FIF_RAW_STATISTICS_SPECIFIC_CHANNEL

      See Also:
        Constant Field Values

    - #### FIF_RAW_STATISTICS_SPECIFIC_KEY

          static final java.lang.String FIF_RAW_STATISTICS_SPECIFIC_KEY

      See Also:
        Constant Field Values

    - #### FIF_RAW_STATISTICS_SPECIFIC_FROM_DATE

          static final java.lang.String FIF_RAW_STATISTICS_SPECIFIC_FROM_DATE

      See Also:
        Constant Field Values

    - #### FIF_RAW_STATISTICS_SPECIFIC_TO_DATE

          static final java.lang.String FIF_RAW_STATISTICS_SPECIFIC_TO_DATE

      See Also:
        Constant Field Values

    - #### FIF_RAW_STATISTICS_SPECIFIC_GROUPING

          static final java.lang.String FIF_RAW_STATISTICS_SPECIFIC_GROUPING

      See Also:
        Constant Field Values

    - #### FIF_RAW_STATISTICS_SPECIFIC_AGGREGATION

          static final java.lang.String FIF_RAW_STATISTICS_SPECIFIC_AGGREGATION

      See Also:
        Constant Field Values

    - #### FIF_RAW_STATISTICS_SPECIFIC_CHANNEL_TYPE

          static final java.lang.String FIF_RAW_STATISTICS_SPECIFIC_CHANNEL_TYPE

      See Also:
        Constant Field Values

    - #### FOF_RAW_STATISTICS_SPECIFIC_DATE

          static final java.lang.String FOF_RAW_STATISTICS_SPECIFIC_DATE

      See Also:
        Constant Field Values

    - #### FOF_RAW_STATISTICS_SPECIFIC_VALUE

          static final java.lang.String FOF_RAW_STATISTICS_SPECIFIC_VALUE

      See Also:
        Constant Field Values

    - #### EF_CONTEXT_STATUS_CHANGED_STATUS

          static final java.lang.String EF_CONTEXT_STATUS_CHANGED_STATUS

      See Also:
        Constant Field Values

    - #### EF_CONTEXT_STATUS_CHANGED_COMMENT

          static final java.lang.String EF_CONTEXT_STATUS_CHANGED_COMMENT

      See Also:
        Constant Field Values

    - #### EF_CONTEXT_STATUS_CHANGED_OLD_STATUS

          static final java.lang.String EF_CONTEXT_STATUS_CHANGED_OLD_STATUS

      See Also:
        Constant Field Values

    - #### EF_VISIBLE_CHILD_ADDED_PATH

          static final java.lang.String EF_VISIBLE_CHILD_ADDED_PATH

      See Also:
        Constant Field Values

    - #### EF_VISIBLE_CHILD_REMOVED_PATH

          static final java.lang.String EF_VISIBLE_CHILD_REMOVED_PATH

      See Also:
        Constant Field Values

    - #### EF_EVALUATION_EXPRESSION

          static final java.lang.String EF_EVALUATION_EXPRESSION

      See Also:
        Constant Field Values

    - #### EF_EVALUATION_HOLDER

          static final java.lang.String EF_EVALUATION_HOLDER

      See Also:
        Constant Field Values

    - #### EF_EVALUATION_RESULT

          static final java.lang.String EF_EVALUATION_RESULT

      See Also:
        Constant Field Values

    - #### EF_EVALUATION_DETAILS

          static final java.lang.String EF_EVALUATION_DETAILS

      See Also:
        Constant Field Values

    - #### EF_EVALUATION_DEFAULT_CONTEXT

          static final java.lang.String EF_EVALUATION_DEFAULT_CONTEXT

      See Also:
        Constant Field Values

    - #### EF_EVALUATION_DEFAULT_TABLE

          static final java.lang.String EF_EVALUATION_DEFAULT_TABLE

      See Also:
        Constant Field Values

    - #### EF_EVALUATION_DEFAULT_ROW

          static final java.lang.String EF_EVALUATION_DEFAULT_ROW

      See Also:
        Constant Field Values

    - #### EF_EVALUATION_ERROR_EXPRESSION

          static final java.lang.String EF_EVALUATION_ERROR_EXPRESSION

      See Also:
        Constant Field Values

    - #### EF_EVALUATION_ERROR_HOLDER

          static final java.lang.String EF_EVALUATION_ERROR_HOLDER

      See Also:
        Constant Field Values

    - #### EF_EVALUATION_ERROR_MESSAGE

          static final java.lang.String EF_EVALUATION_ERROR_MESSAGE

      See Also:
        Constant Field Values

    - #### EF_EVALUATION_ERROR_DETAILS

          static final java.lang.String EF_EVALUATION_ERROR_DETAILS

      See Also:
        Constant Field Values

    - #### EF_EVALUATION_ERROR_DEFAULT_CONTEXT

          static final java.lang.String EF_EVALUATION_ERROR_DEFAULT_CONTEXT

      See Also:
        Constant Field Values

    - #### EF_EVALUATION_ERROR_DEFAULT_TABLE

          static final java.lang.String EF_EVALUATION_ERROR_DEFAULT_TABLE

      See Also:
        Constant Field Values

    - #### EF_EVALUATION_ERROR_DEFAULT_ROW

          static final java.lang.String EF_EVALUATION_ERROR_DEFAULT_ROW

      See Also:
        Constant Field Values